%global __requires_exclude perl\\(Programme|Streamer

Name:           get_iplayer
Version:        3.13
Release:        %mkrel 1
Summary:        iPlayer TV, Radio, Podcase, Programmes stream tool
Group:          Networking/File transfer
License:        GPLv3+
Url:            http://www.infradead.org/get_iplayer/html/get_iplayer.html
Source:         https://github.com/get-iplayer/get_iplayer/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:	ffmpeg
Requires:	atomicparsley
Requires:	perl(Mojolicious)
Requires:	perl(XML::Simple)
Requires:	perl(XML::LibXML)
Recommends:     flvstreamer

%description
Lists, searches and records BBC iPlayer TV/Radio, BBC Podcast and ITVplayer TV programmes
Note: This is the version from:
  http://www.infradead.org/get_iplayer/html/get_iplayer.html
which is a fork/continuation of the original from:
  http://linuxcentre.net/getiplayer
which was discontinued as outlined here:
  http://linuxcentre.net/get_iplayer-dropped-in-response-to-bbcs-lack-of-support-for-open-source

%prep
%setup -q

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}

install -m 755 get_iplayer %{buildroot}%{_bindir}

install -m 644 get_iplayer.1 %{buildroot}%{_mandir}/man1/

%files
%doc README.md
%{_bindir}/get_iplayer
%dir %{_datadir}/%{name}
%{_mandir}/man1/get_iplayer.1*


%changelog
* Fri Apr 13 2018 daviddavid <daviddavid> 3.13-1.mga6
  (not released yet)
+ Revision: 1218261
- new version: 3.13 (fixes mga#22897)
+ mokraemer <mokraemer>
- updated version (mga#20781)

* Thu Feb 18 2016 umeabot <umeabot> 2.94-2.mga6
+ Revision: 966140
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 doktor5000 <doktor5000> 2.94-1.mga6
+ Revision: 842575
- new version 2.94 to cope with latest BBC changes

* Mon Nov 03 2014 colin <colin> 2.90-1.mga5
+ Revision: 795341
- New version: 2.90

* Wed Oct 15 2014 umeabot <umeabot> 2.85-4.mga5
+ Revision: 743349
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 2.85-3.mga5
+ Revision: 731258
- add requires excludes
- fix license
- install man file

* Tue Sep 16 2014 umeabot <umeabot> 2.85-2.mga5
+ Revision: 679546
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Nov 26 2013 colin <colin> 2.85-1.mga4
+ Revision: 553570
- New version: 2.85

* Fri Oct 18 2013 umeabot <umeabot> 2.80-3.mga4
+ Revision: 504784
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.80-2.mga3
+ Revision: 351485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 22 2011 shlomif <shlomif> 2.80-1.mga2
+ Revision: 157354
- imported package get_iplayer

